Last Comment Bug 690822 - GCLI web tests should be capable of being run in the browser
: GCLI web tests should be capable of being run in the browser
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 10
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on: 656666
Blocks: GCLI-SHIP 692424
  Show dependency treegraph
 
Reported: 2011-09-30 10:36 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-10-13 09:46 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (40.13 KB, patch)
2011-10-07 12:46 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
upload 2 (41.42 KB, patch)
2011-10-11 07:21 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
rcampbell: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-09-30 10:36:45 PDT

    
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-07 12:46:06 PDT
Created attachment 565612 [details] [diff] [review]
upload 1

Rob - I'm not sure how much of a review this needs
- it's just tests for GCLI
- the parts have been reviewed as part of GCLI's normal process, so r+fitzgan and r+mikeratcliffe
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-07 12:47:29 PDT
I should add - there is an error somewhere, which is causing an error which creates a memory leak. I'll be fixing that first thing next week, and then assuming review is OK, we can land this.
Comment 3 Mihai Sucan [:msucan] 2011-10-10 03:50:42 PDT
I get this:

TEST-START | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_gcli_web.js
error
  Failed to lookup
  cliEvalJavascript
  ...

TEST-INFO | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_gcli_web.js | Console message: [JavaScript Error: "redeclaration of var Cc" {file: "chrome://browser/content/content.js" line: 3}]
error
  Failed to lookup
  canonDescNone
  ...
error
  Test Failure
  require is not defined
    - stack = onLoad([object Event])@chrome://mochitests/content/browser/browser/devtools/web_

INFO TEST-END | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser/browser_gcli_web.js | finished in 1049ms

INFO TEST-START | Shutdown
Browser Chrome Test Summary
	Passed: 0
	Failed: 0
	Todo: 0


When there are execution errors we want to have them reported, not hidden, otherwise we'll never know if these tests become broken by some other patch we push to the repo. This test, for example, should have shown at least a failure.
Comment 4 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-11 07:21:33 PDT
Created attachment 566213 [details] [diff] [review]
upload 2

upload 1 was broken by some refactoring in another bug.
This is now clean for me.

https://tbpl.mozilla.org/?tree=Try&usebuildbot=1&rev=fb5797f41c92
Comment 5 Rob Campbell [:rc] (:robcee) 2011-10-12 07:25:00 PDT
Comment on attachment 566213 [details] [diff] [review]
upload 2

r+ with successful try push.
Comment 6 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-12 07:50:39 PDT
2 github pull requests contributed reviews to this bug:
https://github.com/mozilla/gcli/pull/33
https://github.com/mozilla/gcli/pull/34
Comment 7 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-12 07:52:12 PDT
Try log:
https://tbpl.mozilla.org/?tree=Try&rev=f2eedda104b1
Comment 8 Rob Campbell [:rc] (:robcee) 2011-10-12 10:13:54 PDT
upload 2: https://hg.mozilla.org/integration/fx-team/rev/967846102da6
Comment 9 Rob Campbell [:rc] (:robcee) 2011-10-13 09:46:54 PDT
https://hg.mozilla.org/mozilla-central/rev/967846102da6

Note You need to log in before you can comment on or make changes to this bug.